> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax filings

> Get all tax filings for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/taxes/taxFilings
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/taxes/taxFilings:
    get:
      tags:
        - Taxes
      summary: Get tax filings
      description: Get all tax filings for the authenticated user
      operationId: getTaxFilings
      parameters:
        - name: year
          in: query
          description: >-
            Year filter (YYYY) - returns all records for the specified year.
            Null will return all data.
          schema:
            type: integer
            format: int32
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
        - name: lastUpdatedDate
          in: header
          description: >-
            Date filter (YYYY-MM-DD) - returns all records updated after the
            specified date. Null returns all data
          schema:
            type: string
          example: '1970-01-01'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSETaxFilingDTOList'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSETaxFilingDTOList:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/TaxFilingDTO'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    TaxFilingDTO:
      type: object
      properties:
        id:
          type: integer
          description: Id of the tax filing
          format: int64
        status:
          type: string
          description: Status of the tax filing
          enum:
            - NOT_STARTED
            - STARTED
            - SUBMITTED
        year:
          type: integer
          description: Year of the tax filing
          format: int32
        apiName:
          type: string
          description: API used to file this tax filing
          enum:
            - COLUMN
        totalAmountOwed:
          type: number
          description: >-
            Total amount owed for this tax filing. A negative value indicates
            that amount is a refund.
        totalAmountPaid:
          type: number
          description: Total amount paid for this tax filing
        startDate:
          type: string
          description: Date when tax return was started
          format: date-time
        submittedDate:
          type: string
          description: Date when tax return was submitted to the tax authority
          format: date-time
        taxReturns:
          type: array
          items:
            $ref: '#/components/schemas/TaxReturnDTO'
    TaxReturnDTO:
      type: object
      properties:
        id:
          type: integer
          description: Id of the tax return
          format: int64
        status:
          type: string
          description: Status of the tax return
          enum:
            - NOT_SUBMITTED
            - SUBMITTED
            - ACCEPTED
            - RETRYABLE
            - REJECTED
        amountOwed:
          type: number
          description: Amount owed for this tax return. Negative values represent a refund.
        taxCountryCode:
          type: string
          description: The ISO 3166-1 alpha-3 country code
        taxState:
          type: string
          description: The two-character State (or Province) abbreviation
        amountPaid:
          type: number
          description: >-
            Amount paid towards the amount owed for this tax return, if
            applicable
        acceptedDate:
          type: string
          description: Date when the tax return was accepted by the tax authority
          format: date-time
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````